<?php

declare(strict_types=1);

namespace Drupal\og\Attribute;

use Drupal\Component\Plugin\Attribute\Plugin;
use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * Defines a OgDeleteOrphans attribute object for plugin discovery.
 *
 * Plugin Namespace: Plugin\OgDeleteOrphans.
 */
#[\Attribute(\Attribute::TARGET_CLASS)]
class OgDeleteOrphans extends Plugin {

  /**
   * Constructs a new OgDeleteOrphans attribute instance.
   *
   * @param string $id
   *   The plugin ID.
   * @param \Drupal\Core\StringTranslation\TranslatableMarkup $label
   *   The human-readable name of the plugin.
   * @param \Drupal\Core\StringTranslation\TranslatableMarkup|null $description
   *   (optional) A short description of the plugin.
   */
  public function __construct(
    public readonly string $id,
    public readonly TranslatableMarkup $label,
    public readonly ?TranslatableMarkup $description,
  ) {}

}
