<?php

declare(strict_types=1);

namespace Drupal\og\Attribute;

use Drupal\Component\Plugin\Attribute\Plugin;
use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * Defines a OgFields attribute object for plugin discovery.
 *
 * Plugin Namespace: Plugin\OgFields.
 */
#[\Attribute(\Attribute::TARGET_CLASS)]
class OgFields extends Plugin {

  /**
   * Constructs a new OgFields attribute instance.
   *
   * @param string $id
   *   The plugin ID.
   * @param string $type
   *   The type.
   * @param \Drupal\Core\StringTranslation\TranslatableMarkup|null $description
   *   (optional) Plugin short description.
   */
  public function __construct(
    public readonly string $id,
    public readonly string $type,
    public readonly ?TranslatableMarkup $description,
  ) {}

}
