<?php

declare(strict_types=1);

namespace Drupal\og\Event;

use Symfony\Contracts\EventDispatcher\Event;

/**
 * The group creation event.
 */
class GroupCreationEvent extends Event implements GroupCreationEventInterface {

  /**
   * Constructs a GroupCreationEvent object.
   *
   * @param string $entityTypeId
   *   The entity type ID of the group type.
   * @param string $bundleId
   *   The bundle ID of the group type.
   */
  public function __construct(
    protected readonly string $entityTypeId,
    protected readonly string $bundleId,
  ) {}

  /**
   * {@inheritdoc}
   */
  public function getEntityTypeId() {
    return $this->entityTypeId;
  }

  /**
   * {@inheritdoc}
   */
  public function getBundleId() {
    return $this->bundleId;
  }

}
