<?php

declare(strict_types=1);

namespace Drupal\og;

use Drupal\Core\Cache\CacheBackendInterface;
use Drupal\Core\Extension\ModuleHandlerInterface;
use Drupal\Core\Plugin\DefaultPluginManager;
use Drupal\og\Attribute\OgDeleteOrphans;

/**
 * Plugin type manager for OgDeleteOrphans plugins.
 */
class OgDeleteOrphansPluginManager extends DefaultPluginManager {

  public function __construct(\Traversable $namespaces, CacheBackendInterface $cache_backend, ModuleHandlerInterface $module_handler) {
    parent::__construct(
      'Plugin/OgDeleteOrphans',
      $namespaces,
      $module_handler,
      OgDeleteOrphansInterface::class,
      OgDeleteOrphans::class,
      'Drupal\og\Annotation\OgDeleteOrphans',
    );
    $this->setCacheBackend($cache_backend, 'og_delete_orphans');
    $this->alterInfo('og_delete_orphans');
  }

}
