<?php

declare(strict_types=1);

namespace Drupal\og;

use Drupal\Core\Cache\CacheBackendInterface;
use Drupal\Core\Extension\ModuleHandlerInterface;
use Drupal\Core\Plugin\DefaultPluginManager;
use Drupal\og\Attribute\OgGroupResolver;

/**
 * Plugin manager for OgGroupResolver plugins.
 */
class OgGroupResolverPluginManager extends DefaultPluginManager {

  public function __construct(\Traversable $namespaces, CacheBackendInterface $cache_backend, ModuleHandlerInterface $module_handler) {
    parent::__construct(
      'Plugin/OgGroupResolver',
      $namespaces,
      $module_handler,
      OgGroupResolverInterface::class,
      OgGroupResolver::class,
      'Drupal\og\Annotation\OgGroupResolver',
    );

    $this->alterInfo('og_group_resolver_info');
    $this->setCacheBackend($cache_backend, 'og_group_resolver');
  }

}
