<?php

declare(strict_types=1);

namespace Drupal\og\Plugin\Action;

use Drupal\Core\Action\Attribute\Action;
use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\og\OgMembershipInterface;

/**
 * Blocks a group membership.
 */
#[Action(
  id: 'og_membership_block_action',
  label: new TranslatableMarkup('Block the selected membership(s)'),
  type: 'og_membership',
)]
class BlockOgMembership extends ChangeOgMembershipStateBase {

  /**
   * {@inheritdoc}
   */
  public function getTargetState() {
    return OgMembershipInterface::STATE_BLOCKED;
  }

  /**
   * {@inheritdoc}
   */
  public function getOriginalState() {
    return NULL;
  }

}
