<?php

declare(strict_types=1);

namespace Drupal\og\Plugin\Field\FieldType;

use Drupal\Core\Field\Attribute\FieldType;
use Drupal\Core\Field\Plugin\Field\FieldType\EntityReferenceItem;
use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * Field item class for OG membership references.
 */
#[FieldType(
  id: 'og_standard_reference',
  label: new TranslatableMarkup('OG membership reference'),
  description: new TranslatableMarkup('An entity field containing an OG membership reference for a non-user entity.'),
  category: 'reference',
  default_widget: 'og_complex',
  default_formatter: 'entity_reference_label',
  no_ui: TRUE,
  list_class: 'Drupal\Core\Field\EntityReferenceFieldItemList',
  constraints: ['ValidOgMembershipReference' => []],
)]
class OgStandardReferenceItem extends EntityReferenceItem {
}
