<?php

declare(strict_types=1);

namespace Drupal\og\Plugin\Validation\Constraint;

use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\Core\Validation\Attribute\Constraint;
use Symfony\Component\Validator\Constraint as SymfonyConstraint;

/**
 * Entity Reference valid reference constraint.
 *
 * Verifies that referenced entities are valid.
 */
#[Constraint(
  id: 'UniqueOgMembership',
  label: new TranslatableMarkup(
    'Unique OG membership',
    options: ['context' => 'Validation'],
  ),
)]
class UniqueOgMembershipConstraint extends SymfonyConstraint {

  /**
   * Not a unique membership group message.
   */
  public string $notUniqueMembership = 'The user %user is already a member in this group';

}
