<?php

declare(strict_types=1);

namespace Drupal\og\Plugin\Validation\Constraint;

use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\Core\Validation\Attribute\Constraint;
use Symfony\Component\Validator\Constraint as SymfonyConstraint;

/**
 * Entity Reference valid reference constraint.
 *
 * Verifies that referenced entities are valid.
 */
#[Constraint(
  id: 'ValidOgMembershipReference',
  label: new TranslatableMarkup(
    'Organic Groups valid reference',
    options: ['context' => 'Validation'],
  ),
)]
class ValidOgMembershipReferenceConstraint extends SymfonyConstraint {

  /**
   * Not a valid group message.
   */
  public string $notValidGroup = 'The entity %label is not defined as a group.';

}
