<?php

declare(strict_types=1);

namespace Drupal\og\Plugin\Validation\Constraint;

use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\Core\Validation\Attribute\Constraint;
use Symfony\Component\Validator\Constraint as SymfonyConstraint;

/**
 * Ensures that a valid OG role for the group entity type/bundle is selected.
 */
#[Constraint(
  id: 'ValidOgRole',
  label: new TranslatableMarkup(
    'OG Role valid reference',
    options: ['context' => 'Validation'],
  ),
)]
class ValidOgRoleConstraint extends SymfonyConstraint {

  /**
   * Not a valid role message.
   */
  public string $notValidRole = 'Invalid role selected.';

}
